#
# spec file for package tree-sitter-c
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name c
Summary:        C grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.21.4
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-c
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  filesystem
BuildRequires:  tree-sitter >= 0.22.6
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

%files
%{treesitter_files}

%treesitter_devel_package

%changelog
* Fri Jul 26 2024 Richard Rahl <rrahl0@opensuse.org>
- Update to version 0.21.4:
  * feat: support the `alignas` type qualifier
  * feat: support `static` in array declarations
- Update to version 0.21.3:
  * build: update dependencies
- Update to version 0.21.2:
  * fix: remove the unnecessary `seq` around variadic_parameter
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.21.0:
  * fix: ms call modifier missing in some spots
  * fix: allow ms pointer modifiers in abstract pointer declarators
  * fix: ternary consequences can have comma expressions
  * fix: asm strings can be concatenated
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.8:
  * fix: allow function definitions to contain preproc attributes
  * fix: improve concatenated_string
  * fix: properly suffix elifdef
  * fix: allow preproc calls in enumerator list items
  * feat: allow preprocessor directives inside enumerator lists
  * feat: multi-byte characters
  * fix: allow any position of sized type keywords
